﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_CTRLSETTINGENTRY') 
 CREATE TABLE T_PMBS_CTRLSETTINGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELDKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FASSISTGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_CTRLSETTINGENTRY_L') 
 CREATE TABLE T_PMBS_CTRLSETTINGENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSHOWNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_PROKINDCTRLSETTING') 
 CREATE TABLE T_PMBS_PROKINDCTRLSETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISMAJORTYPE CHAR(1) DEFAULT '0' NOT NULL,
FINBUDGETTPLID BIGINT DEFAULT 0 NOT NULL,
FOUTBUDGETTPLID BIGINT DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_EXCLUSIONPROJ') 
 CREATE TABLE T_PMBS_EXCLUSIONPROJ (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_PROJROLES') 
 CREATE TABLE T_PMBS_PROJROLES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBS_PROPERMISSION') 
 CREATE TABLE T_PMBS_PROPERMISSION (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISSUBORDINATE CHAR(1) DEFAULT '0' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT '1' NOT NULL,
FEXCLUPROJSTR NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FROLESSTR NVARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMBS_table.sql **/
